## plip 1.3.1+dfsg

=== debian/changelog ===
plip (1.3.1+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version
  * Imported Upstream version 1.3.1+dfsg
  * Export local python modules, needed for man page generation with help2man

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 13 May 2016 17:44:04 +0200

plip (1.3.0a+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Title in upstream metadata

  [ Alexandre Mestiashvili]
  * Initial release. Closes: #787739
  * Use help2man to generate man page, remove manually created manpage
  * d/control: Add python-openbabel, numpy, lxml and pymol to Build-Depends:
  * d/rules: Install man page using help2man, run test
  * d/changelog: New upstream release, merge unreleased changelog entries
  * d/tests/*: Run autopkgtest, other tests require removed pdb files,
    ignore for now
  * d/watch: Add dversionmangle
  * d/copyright: Use Files-Excluded: to remove pdb files due to unclear
    license, remove pdb license and update copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 24 Mar 2016 13:39:29 +0100

plip (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #787739

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 28 May 2015 17:01:18 +0200

=== debian/tests/control ===
Tests: special-cases

## plip 2.4.0+dfsg

=== requirements.txt ===
lxml~=4.2.1
numpy~=1.13.3
pymol~=2.3.0
openbabel~=3.0.0

## plip 1.3.3+dfsg

=== debian/changelog ===
plip (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.3+dfsg
  * Enable xml-parser test

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 07 Nov 2016 14:42:03 +0100

plip (1.3.2+dfsg-1) unstable; urgency=medium

  * Update copyright format
  * Exclude pliplogo.(png|svg), the files are not used anywhere in the code
  * New upstream version 1.3.2+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 19 Sep 2016 16:55:53 +0200

=== debian/control ===
Source: plip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               pymol,
               python-all,
               python-lxml,
               python-numpy,
               python-openbabel,
               python-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plip.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/plip.git
Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/

Package: plip
Architecture: all
Depends: pymol,
         ${misc:Depends},
         ${python:Depends}
Description: fully automated protein-ligand interaction profiler
 The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze
 and visualize protein-ligand interactions in PDB files.
 .
 Features include:
  * Detection of eight different types of noncovalent interactions
  * Automatic detection of relevant ligands in a PDB file
  * Direct download of PDB structures from wwPDB server if valid
    PDB ID is given
  * Processing of custom PDB files containing protein-ligand complexes
    (e.g. from docking)
  * No need for special preparation of a PDB file, works out of the box
  * Atom-level interaction reports in rST and XML formats for easy parsing
  * Generation of PyMOL session files (.pse) for each pairing, enabling easy
    preparation of images for publications and talks
  * Rendering of preview image for each ligand and its interactions
    with the protein

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=plip
%:
	dh $@ --with python2 --buildsystem=pybuild

mandir := $(CURDIR)/debian/$(PYBUILD_NAME)/usr/share/man/man1
version := $(shell dpkg-parsechangelog --show-field=Version)
HELP2MAN := help2man --no-info --no-discard-stderr --version-string="$(version)"
PYTHON_DEFAULT_VERSION := $(shell pyversions -d)

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(mandir)
	export PYTHONPATH=$(CURDIR)/debian/$(PYBUILD_NAME)/usr/lib/$(PYTHON_DEFAULT_VERSION)/dist-packages/:\
	$(CURDIR)/plip/modules; \
    $(HELP2MAN)  --name='Protein-Ligand Interaction Profiler (PLIP)' \
    $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd > $(mandir)/plipcmd.1

override_dh_auto_test:
	debian/tests/special-cases

## plip 1.3.5+dfsg

=== debian/changelog ===
plip (1.3.5+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1
  * New upstream version 1.3.5+dfsg
  * Update d/copyright, license changed from Apache-2.0 to GPL-2
  * Update d/rules, use DEB_VERSION instead of dpkg-parsechangelog
  * Override spelling-error-in-manpage warning
  * Drop Testsuite: field from d/control, autopkgtest is enabled
    by d/tests/control

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 01 Dec 2017 16:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -13,7 +12,7 @@
                python-numpy,
                python-openbabel,
                python-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plip.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 %:
 	dh $@ --with python2 --buildsystem=pybuild
 
+include /usr/share/dpkg/pkg-info.mk
+
 mandir := $(CURDIR)/debian/$(PYBUILD_NAME)/usr/share/man/man1
-version := $(shell dpkg-parsechangelog --show-field=Version)
-HELP2MAN := help2man --no-info --no-discard-stderr --version-string="$(version)"
+HELP2MAN := help2man --no-info --no-discard-stderr --version-string="$(DEB_VERSION)"
 PYTHON_DEFAULT_VERSION := $(shell pyversions -d)
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+dfsg(\.\d+)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plip-$1\.tar\.gz/,repacksuffix=+dfsg,repack,compression=xz \
 https://github.com/ssalentin/plip/tags .*/v?(\d\S*)\.tar\.gz

## plip 1.4.2+dfsg

=== debian/changelog ===
plip (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2+dfsg

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 07 Jun 2018 20:05:34 +0200

plip (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg
  * d/control:
    - bump Policy to 4.1.4
    - make pymol optional, remove from build-depends and depends
      add to Suggests:
  * Install docs shipped with source

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 26 Apr 2018 15:43:43 +0200

plip (1.4.0~b+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated RRID in d/u/metadata

  [ Andreas Tille ]
  * Remove invalid fields from debian/upstream/metadata

  [ Alexandre Mestiashvili ]
  * New upstream version 1.4.0~b+dfsg
  * Update d/control:
    - Add python-future build-dep
    - Update uploader's email
    - fix VCS-* fields to point to salsa
    - Set debhelper and compat to 11
  * Remove unused lintian override

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 12 Apr 2018 12:51:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: plip
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                help2man,
-               pymol,
                python-all,
                python-lxml,
                python-numpy,
                python-openbabel,
-               python-setuptools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plip.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/plip.git
+               python-setuptools,
+               python-future
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/plip
+Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/
 
 Package: plip
 Architecture: all
-Depends: pymol,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends}
+Suggests: pymol
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze
  and visualize protein-ligand interactions in PDB files.

## plip 1.4.3~b+dfsg

=== debian/changelog ===
plip (1.4.3~b+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Hopefully fixed d/watch - who knows :o)
  * Executable only works with python2, not 3
  * Explicitly adding python-openbabel as a dependency to the binary
    package, which was omitted by the automatisms in place.

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Oct 2018 16:21:48 +0200

plip (1.4.3~b+dfsg-1) unstable; urgency=medium

  * Update Files-Excluded section in d/copyright
  * New upstream version 1.4.3~b+dfsg
  * Check for nocheck in DEB_BUILD_OPTIONS for tests, s/plipcmd.py/plipcmd/
  * Bump Policy to 4.2.1

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 25 Sep 2018 09:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-openbabel,
                python-setuptools,
                python-future
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/
@@ -20,7 +20,8 @@
 Package: plip
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         python-openbabel
 Suggests: pymol
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mv $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd.py \
+           $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd
 	mkdir -p $(mandir)
 	export PYTHONPATH=$(CURDIR)/debian/$(PYBUILD_NAME)/usr/lib/$(PYTHON_DEFAULT_VERSION)/dist-packages/:\
 	$(CURDIR)/plip/modules; \
@@ -19,4 +21,6 @@
     $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd > $(mandir)/plipcmd.1
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/tests/special-cases
+endif

=== debian/watch ===
version=3
opts=uversionmangle=s/([\d_\.\-]+)(b)?/$1~$2/,\
 dversionmangle=auto,\
 filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plip-$1\.tar\.gz/,\
 repacksuffix=+dfsg,repack,compression=xz \
 https://github.com/ssalentin/plip/tags .*/v?(\d\S*)\.tar\.gz

## plip 1.4.4~b%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man,
-               python-all,
-               python-lxml,
-               python-numpy,
-               python-openbabel,
-               python-setuptools,
-               python-future
-Standards-Version: 4.2.1
+               python3-all,
+               python3-lxml,
+               python3-numpy,
+               python3-openbabel,
+               python3-setuptools,
+               python3-future
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/
@@ -20,8 +20,8 @@
 Package: plip
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-openbabel
+         ${python3:Depends},
+         python3-openbabel
 Suggests: pymol
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=uversionmangle=s/([\d_\.\-]+)(b)?/$1~$2/,\
  dversionmangle=auto,\
  filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plip-$1\.tar\.gz/,\

## plip 1.4.4~b+dfsg

=== debian/changelog ===
plip (1.4.4~b+dfsg-1) unstable; urgency=medium

  * Fix d/watch, set version to 4
  * Bump Policy to 4.5.0
  * New upstream version 1.4.4~b+dfsg

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 09 Feb 2020 17:06:44 +0100

plip (1.4.3~b+dfsg-3) unstable; urgency=medium

  * Update d/{control,rules,tests/} to use python3, Closes: #937303
  * Update d/control, bump Policy to 4.4.1, use debhelper-compat(=12)
  * Drop empty d/patches

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 14 Oct 2019 18:15:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=plip
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 include /usr/share/dpkg/pkg-info.mk

=== debian/tests/control ===
Tests: special-cases, xml-parser

## plip 2.1.3+dfsg

=== debian/changelog ===
plip (2.1.3+dfsg-1) unstable; urgency=medium

  * Add build-mulit.sh to Files-Excluded list in d/copyright
  * New upstream version 2.1.3+dfsg

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 08 Jul 2020 14:28:36 +0200

plip (2.1.2~beta+dfsg-2) unstable; urgency=medium

  * No change, source-only upload to allow testing migration

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 05 Jun 2020 09:50:17 +0200

plip (2.1.2~beta+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added ref to bio.tools

  [ Alexandre Mestiashvili ]
  * Update d/watch according new upstream version schema
  * d/copyright: update Files-Excluded section and maintainers email
  * New upstream version 2.1.2~beta+dfsg
  * d/rules, s/pyversions/py3versions/, export PYTHONPATH for test script
    export PYTHONPATH when calling tests during build
    remove plip script, leave only plipcmd
  * d/tests: drop special-cases test removed by upstream
  * apply wrap-and-sort, add pymol to Depends:
  * d/control, add pymol to Depends:

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 04 Jun 2020 14:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-python,
                help2man,
                python3-all,
+               python3-future,
                python3-lxml,
                python3-numpy,
                python3-openbabel,
-               python3-setuptools,
-               python3-future
+               python3-setuptools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
@@ -19,10 +19,7 @@
 
 Package: plip
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-openbabel
-Suggests: pymol
+Depends: pymol, python3-openbabel, ${misc:Depends}, ${python3:Depends}
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze
  and visualize protein-ligand interactions in PDB files.

## plip 2.1.7+dfsg

=== debian/changelog ===
plip (2.1.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Dec 2020 02:53:37 +0530

plip (2.1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 19:26:15 +0530

plip (2.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 10 Nov 2020 07:18:16 +0000

plip (2.1.4+dfsg-2) unstable; urgency=medium

  * No change, source-only upload to allow testing migration.

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 18 Sep 2020 13:43:56 +0200

plip (2.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.4+dfsg
  * d/control: move pymol from Depends to Recommends

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 09 Sep 2020 13:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: plip
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <mestia@debian.org>
+Uploaders: Alexandre Mestiashvili <mestia@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-all,
@@ -12,14 +12,16 @@
                python3-numpy,
                python3-openbabel,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/
+Rules-Requires-Root: no
 
 Package: plip
 Architecture: all
-Depends: pymol, python3-openbabel, ${misc:Depends}, ${python3:Depends}
+Depends: python3-openbabel, ${misc:Depends}, ${python3:Depends}
+Recommends: pymol
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze
  and visualize protein-ligand interactions in PDB files.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DH_VERBOSE=1
 
 export PYBUILD_NAME=plip
 %:
@@ -8,10 +9,11 @@
 
 mandir := $(CURDIR)/debian/$(PYBUILD_NAME)/usr/share/man/man1
 HELP2MAN := help2man --no-info --no-discard-stderr --version-string="$(DEB_VERSION)"
-PYTHON_DEFAULT_VERSION := $(shell pyversions -d)
+PYTHON_DEFAULT_VERSION := $(shell py3versions -d)
 
 override_dh_auto_install:
 	dh_auto_install
+	rm -rvf $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plip
 	mv $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd.py \
            $(CURDIR)/debian/$(PYBUILD_NAME)/usr/bin/plipcmd
 	mkdir -p $(mandir)
@@ -22,5 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	debian/tests/special-cases
+	# skip all other tests since they require exluded pdb files
+	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_plip/build/; \
+	debian/tests/xml-parser
 endif

=== debian/watch ===
version=4
opts=uversionmangle=s/([\d_\.\-]+)-(beta)?/$1~$2/,\
 dversionmangle=auto,\
 filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plip-$1\.tar\.gz/,\
 repacksuffix=+dfsg,repack,compression=xz \
 https://github.com/ssalentin/plip/tags .*/v?(\d\S*)\.tar\.gz

## plip 2.2.2+dfsg

=== debian/changelog ===
plip (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.2+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 16:56:30 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: plip
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <mestia@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Alexandre Mestiashvili <mestia@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## plip 2.3.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: plip
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <mestia@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                help2man,
                python3-all,
-               python3-future,
                python3-lxml,
                python3-numpy,
                python3-openbabel,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/
@@ -20,7 +19,9 @@
 
 Package: plip
 Architecture: all
-Depends: python3-openbabel, ${misc:Depends}, ${python3:Depends}
+Depends: python3-openbabel,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: pymol
 Description: fully automated protein-ligand interaction profiler
  The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze

## plip 2.3.0+dfsg

=== debian/changelog ===
plip (2.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop python-future from Build-Depends
    Closes: #1059946
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jan 2024 12:49:59 +0100

plip (2.3.0+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * [skip ci] Remove myself from uploaders
  * [skip ci] Fix mess-ups with automated script

  [ Alexandre Mestiashvili ]
  * New upstream version 2.3.0+dfsg
  * d/copyright, update Source field
  * d/control, bump Policy to 4.6.2
  * Add patch reverting update to imagemagick 7

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 03 Sep 2023 18:30:00 +0200

=== debian/tests/control ===
Tests: xml-parser

## plip 2.4.0+dfsg

=== debian/changelog ===
plip (2.4.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/rules: Revert manual shebang rewrite.
    The workaround is not needed anymore because setuptools 78.1.0-1.2
    fixes the underlying problem.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 19 Apr 2025 00:57:35 -0400

plip (2.4.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Rewrite the shebang to deal with fallout from setuptools.
    setuptools has recently broken how shebangs are generated for
    scripts (see Debian bug 1103150), and while the right thing to do here
    would be to use dh_python3's --shebang option, it doesn't work.  So
    let's rewrite the shebang ourselves. (Closes: #1103196)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 18 Apr 2025 16:42:39 -0400

plip (2.4.0+dfsg-2) unstable; urgency=medium

  * Update d/tests/control, add python3-lxml as a dependency
  * Update autopkgtest invocation

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 24 Jan 2025 11:05:26 +0100

plip (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.0+dfsg
  * Add patch removing custom build option for broken openbabel pip bindings
  * d/control, bump Standards-Version to 4.7.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 14 Jan 2025 14:58:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-numpy,
                python3-openbabel,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/plip
 Vcs-Git: https://salsa.debian.org/med-team/plip.git
 Homepage: https://projects.biotec.tu-dresden.de/plip-web/plip/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export PYBUILD_NAME=plip
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 include /usr/share/dpkg/pkg-info.mk
